Package org.zkoss.bind.sys

## Enum ConditionType

- java.lang.Object
- - java.lang.Enum<ConditionType>
  - - org.zkoss.bind.sys.ConditionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConditionType>`

      public enum ConditionType
      extends java.lang.Enum<ConditionType>

  this enum represent the load/save condition type
  Since:
    6.0.0
  Author:
    dennis

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_COMMAND` |
    `BEFORE_COMMAND` |
    `PROMPT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConditionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConditionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROMPT

          public static final ConditionType PROMPT

    - #### BEFORE_COMMAND

          public static final ConditionType BEFORE_COMMAND

    - #### AFTER_COMMAND

          public static final ConditionType AFTER_COMMAND

  - ### Method Detail

    - #### values

          public static ConditionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConditionType c : ConditionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConditionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null